## mutter 3.38.1

=== debian/changelog ===
mutter (3.38.1-2) unstable; urgency=medium

  * debian/patches: Wayland start Xwayland on public X11 sockets as well
    (LP: #1897224)
  * debian/patches: Don't override window tile monitor (LP: #1900009)
  * debian/patches: Fix resizing issues (LP: #1878293)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 23 Oct 2020 12:38:01 +0200

mutter (3.38.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix Night Light updates after DPMS (LP: #1894596)
    - Fix button scrolling on X11
    - Always use correct font-dpi setting on X11
    - Improve handling of scanout failures
    - Fix middle/right button mixup in scroll button assignment
    - Fix resizing of attached modal dialogs on wayland
    - Enable KMS modifiers on devices that need them
    - Fix IM handling on X11
    - Fix glitches in "undefined" screencast areas
    - Fix visual glitches on background with fractional scaling (LP: #1898080)
    - Fix using correct refresh rate under X11 (LP: #1898645)
    - Misc. bug fixes and cleanups
    - Plugged memory leaks
  * debian/patches: Refresh as per upstream changes
  * debian/mutter-common.install: Include mutter udev rules
  * debian/control: Add udev build-dependency

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 11 Oct 2020 01:43:05 +0200

mutter (3.38.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable (starts transition: #969321)
  * d/rules: Ignore test failures in flaky tests on all architectures.
    Upstream presumably marked them as flaky for a reason, and they do
    fail on amd64 when under load.
  * Revert "debian/watch: Watch unstable versions"

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 10:53:27 +0100

mutter (3.38.0-1) experimental; urgency=medium

  * New upstream release:
    - screencast: Only use DMA buffers for i915
    - Fixed crashes
  * debian/patches: Refresh
  * d/p/input-mapper-Don-t-match-touchscreens-to-the-absence-of-a.patch:
    - Dropped, applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Sep 2020 15:45:52 +0200

mutter (3.37.92-2) experimental; urgency=medium

  * Team upload
  * d/p/input-mapper-Don-t-match-touchscreens-to-the-absence-of-a.patch:
    Add patch to work around a crash with gnome-remote-desktop

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Sep 2020 12:00:31 +0100

mutter (3.37.92-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Fix stale cursor positions in remote desktop sessions
    - xwayland: Add a setting to disable selected X extensions
    - Fix screencasting when using QXL
    - Cull actors that don't intersect with the redraw clip
    - Optimize painting of backgrounds when culling is unavailable
    - Improve support for Hangul input method
    - Support debug paint overlay for opaque regions
    - Fix launching flatpak applications when autostarting Xwayland
    - Add support for capture scanouts in screencasts
    - Allow integrated tablet devices to cycle outputs
    - Improve mapping input devices to the most relevant output
    - Only enable auto-rotation in touch mode
    - Fix various crashes
  * d/control.in: Update libgbm build-dependency
  * d/copyright: Update
  * d/control.in, d/rules: Enable Pipewire on Debian (but not Ubuntu).
    Now that we have Pipewire 0.3 in experimental, we can enable
    screencasting and remote desktop support.
  * debian/libmutter-7-0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Sep 2020 15:50:11 +0100

mutter (3.37.91-1) experimental; urgency=medium

  * New upstream release
    - Support unredirecting fullscreen wayland surfaces
    - Support area screencasts
    - Allow inhibiting remote access
    - Drive each monitor by its own frame clock (LP: #1730460)
    - Fix copy/paste failures on X11 (LP: #1879968)
    - Make window-aliveness checks less aggressive
    - Limit mipmap levels when rendering background (LP: #1862308)
    - Remove more long-deprecated Clutter APIs
    - Support custom keyboard layouts in $XDG_CONFIG_HOME/xkb
    - Optimize resource scale computation for wayland fractional scaling
    - Support tap-button-map and tap-drag-lock touchpad settings
    - Fix wine copy & paste
    - Add API to launch trusted wayland clients
    - Invalidate offscreen effect cache on video memory purge (LP: #1855757)
  * debian: Update package and file names to mutter API version
  * debian/control: Bump dependencies to match upstream requirements
  * debian/clean: Remove as HOME and XRD are managed now by dh
  * debian/copyright: Avoid redundant globbing patterns
  * debian/gbp.conf: target upstream/latest branch
  * debian/libmutter-7-0.symbols: Update symbols file
  * debian/patches: Refresh
  * d/p/debian/tests-Tag-closed-transient-no-input-tests-as-flaky.patch:
    - Renamed into d/p/debian/tests-Tag-unstable-tests-as-flaky.patch
    - Reduced the number of "flaky" tests to the ones time-dependent only
  * debian/rules:
    - Compute and generate a MUTTER_API_VERSION and replace it everywhere
    - Remove XDG_RUNTIME_DIR wrapper workaround
    - Don't run tests at all in riscv64
    - Don't set again default configuration values (it makes the delta clearer)
    - Never ignore test failures in amd64
    - Remove test num processes re-configuration
    - Run tests in s390x, no failures currently
    - Don't test in alpha hppa powerpc sparc64 x32 (Closes: #959415)
  * debian/with-temp-xdg-runtime-dir: Dropped, new dh will handle it for us
  * debian/watch: Scan for all versions, not just the stable-branch
  * debian/*.install: Use dh variable substitution in install files

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Aug 2020 16:39:49 +0100
