=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: mutter
Section: x11
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               at-spi2-core <!nocheck>,
               adwaita-icon-theme <!nocheck>,
               dbus <!nocheck>,
               dmz-cursor-theme <!nocheck>,
               gnome-control-center-data,
               gnome-pkg-tools (>= 0.10),
               gnome-settings-daemon-common <!nocheck>,
               gnome-settings-daemon-dev,
               gobject-introspection (>= 1.41.3),
               gsettings-desktop-schemas-dev (>= 3.37.2),
               gtk-doc-tools (>= 1.15),
               libcairo2-dev (>= 1.10.0),
               libcanberra-gtk3-dev,
               libdrm-dev (>= 2.4.83) [linux-any],
               libegl-dev,
               libegl1-mesa-dev (>= 17) [linux-any],
               libfribidi-dev (>= 1.0.0),
               libgbm-dev (>= 17.3) [linux-any],
               libgirepository1.0-dev (>= 0.9.12),
               libgl1-mesa-dev (>= 7.1~rc3-1~),
               libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
               libglib2.0-dev (>= 2.61.1),
               libgnome-desktop-3-dev (>= 3.36.0),
               libgraphene-1.0-dev (>= 1.9.3),
               libgtk-3-dev (>= 3.19.8),
               libgudev-1.0-dev (>= 232) [linux-any],
               libice-dev,
               libinput-dev (>= 1.7) [linux-any],
               libjson-glib-dev (>= 0.13.2-1~),
               libnvidia-egl-wayland-dev [linux-any],
               libpam0g-dev,
               libpango1.0-dev (>= 1.2.0),
               libpipewire-0.3-dev [linux-any],
               libsm-dev,
               libstartup-notification0-dev (>= 0.7),
               libsystemd-dev (>= 212) [linux-any],
               libwacom-dev (>= 0.13) [linux-any],
               libwayland-dev (>= 1.18.0) [linux-any],
               libxau-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-randr0-dev,
               libxcb-res0-dev,
               libxcomposite-dev (>= 1:0.4),
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxi-dev (>= 2:1.7.4),
               libxinerama-dev,
               libxkbcommon-dev (>= 0.4.3),
               libxkbcommon-x11-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               meson (>= 0.51),
               pkg-config (>= 0.22),
               udev,
               wayland-protocols (>= 1.19) [linux-any],
               xauth <!nocheck>,
               xkb-data,
               xserver-xorg-core [linux-any],
               xvfb <!nocheck>,
               xwayland [linux-any],
               zenity
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
Vcs-Browser: https://salsa.debian.org/gnome-team/mutter

Package: mutter
Architecture: any
Depends: adwaita-icon-theme,
         gnome-settings-daemon-common,
         gsettings-desktop-schemas (>= 3.37.2),
         mutter-common (>= ${source:Version}),
         zenity,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-window-manager
Suggests: gnome-control-center (>= 1:3.25.2),
          xdg-user-dirs
Description: Example window manager using GNOME's window manager library
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the mutter executable. It can be used as a
 standalone window manager, but is primarily intended for debugging.

Package: gir1.2-mutter-7
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libmutter-7-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GObject introspection data for Mutter
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

Package: libmutter-7-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: adwaita-icon-theme,
         gsettings-desktop-schemas (>= 3.37.2),
         mutter-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: apparmor (<< 2.13.3-5~),
        gnome-control-center (<< 1:3.25.2),
        gnome-settings-daemon (<< 3.31.91),
        gnome-shell (<< 3.36)
Description: window manager library from the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the window manager shared library, used by mutter
 itself, and gnome-shell.

Package: libmutter-7-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-mutter-7 (= ${binary:Version}),
         gsettings-desktop-schemas-dev (>= 3.37.2),
         libatk1.0-dev,
         libcairo2-dev,
         libdrm-dev,
         libegl1-mesa-dev,
         libgbm-dev,
         libgdk-pixbuf2.0-dev,
         libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
         libglib2.0-dev,
         libgraphene-1.0-dev (>= 1.9.3),
         libgtk-3-dev,
         libinput-dev (>= 1.7),
         libjson-glib-dev,
         libmutter-7-0 (= ${binary:Version}),
         libpango1.0-dev,
         libudev-dev,
         libwayland-dev,
         libx11-dev,
         libxcomposite-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev,
         libxi-dev,
         libxrandr-dev,
         ${misc:Depends}
Conflicts: libmutter-0-dev,
           libmutter-1-dev,
           libmutter-2-dev,
Description: Development files for the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the development files.

Package: mutter-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: shared files for the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the shared files.
