## mutter 3.38.2

=== debian/changelog ===
mutter (3.38.2-1ubuntu1~20.10.1) groovy; urgency=medium

  * No-change backport to groovy
  * debian: Prepare gbp.conf and control references to groovy branching

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Dec 2020 02:50:32 +0100

mutter (3.38.2-1ubuntu1) hirsute; urgency=medium

  * Merge with debian, containing new upstream release (LP: #1908158):
    - Apply input device settings on hotplug / reconnect and resume
      (LP: #1899206)
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refreshed as per upstream changes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Dec 2020 01:20:01 +0100

mutter (3.38.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Don't crash during screencasting if cursor is not available
    - Don't crash if a kernel bug results in appearing to have multiple
      builtin panels
    - Log warnings instead of crashing if user-defined keymap is
      misconfigured
    - Don't forget we have a touchscreen if a non-touchscreen input device
      is connected
    - Log warnings instead of crashing if invalid barriers are created
    - Otherwise functionally equivalent to 3.38.1-4
  * Drop patches cherry-picked from upstream or applied upstream
  * d/gbp.conf: Use upstream 3.38.x branch.
    Version 40~alpha was already released, so it's misleading to say that
    3.38.x is the latest.
  * Standards-Version: 4.5.1 (no changes required)
  * d/rules: Don't run tests if built with nocheck option
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 03 Dec 2020 10:23:26 +0000

mutter (3.38.1-4) experimental; urgency=medium

  * Team upload
  * Update to upstream gnome-3-38 branch, commit 3.38.1-50-gc70610c43
    - If cursor theme is missing, draw a grey semi-transparent square
      instead of crashing
    - Allow primary GPU to be overridden with a udev rule
    - Fix fullscreen toggle for some applications (Closes: #975453)
    - Only schedule frame drawing for each surface (window) according to
      one stage view (monitor)
    - Fix size hints for client-side-decorated windows
    - Avoid adding input devices too soon
    - Performance optimizations
    - Do not disable the X Security extension if Xwayland was built with it
  * Don't depend on transitional libgdk-pixbuf2.0-dev
  * Explicitly build-depend on gdk-pixbuf.
    Previously it was pulled in by some other dependency (presumably
    gnome-desktop3 and gtk), but mutter's build system checks for it, so
    we should build-depend on it here too.
  * d/p/clutter-frame-clock-Schedule-a-frame-at-least-once-per-se.patch:
    Add proposed patch to ensure frame clock does not stop (Closes: #974172)

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Nov 2020 10:23:36 +0000

mutter (3.38.1-3) experimental; urgency=medium

  * Team upload
  * Update to upstream gnome-3-38 branch, commit 3.38.1-33-g067af969c
    - Prevent a use-after-free on (virtual) device removal
    - Prevent crash on startup caused by dispatching libinput events too
      early
    - If Wayland subsurfaces have circular relationships, disconnect the
      client instead of crashing
    - When resizing terminals interactively, don't offset the position
    - Fix broken timestamp behaviour if X11 timestamps overflow
    - Fix a memory leak
    - Ensure clock is updated when going from fullscreen app to overview
    - Fix artifacts around GNOME Shell magnifier cursor
    - Fix monitor tiling on X11
    - Configure input devices correctly in X11
      (LP: #1899206, LP: #1899509)
    - Avoid spurious warnings in log
      - Event does not have a stage: discarding
      - assertion 'CLUTTER_IS_STAGE (stage)' failed
    - Make sure build fails if Xwayland -initfd is requested but not
      available (not relevant in Debian, we don't request this yet)
    - Update translations: pt
  * d/p/backend-Don-t-pull-generated-headers-indirectly.patch:
    Add a patch from upstream git master to fix parallel builds

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Nov 2020 18:17:44 +0000

mutter (3.38.1-2ubuntu1) groovy; urgency=medium

  * Merge with debian, including various upstream fixes. Remaining changes:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 23 Oct 2020 12:43:24 +0200

mutter (3.38.1-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream version, remaining changes:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
  * d/p/clutter-backend-x11-Don-t-set-the-font-dpi-computed-on-X1.patch:
    - Dropped, applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 11 Oct 2020 02:13:27 +0200

mutter (3.38.0-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream stable release, remaining changes:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refresh as per upstream changes
    - Don't update UI scale factor on xrandr-manager creation.
      This would trigger settings initializations that are supposed to happen
      after the clutter-x11 backend has been initialized, leading to saving
      too early the cached font-dpi scaling, and then making clutter backend
      to set a new (wrong) one. (LP: #1892440)
  * d/p/clutter-backend-x11-Don-t-set-the-font-dpi-computed-on-X1.patch:
    - Don't set the font-dpi on clutter-backend-x11 (LP: #1892440)


