=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -28,6 +29,7 @@
                libegl1-mesa-dev (>= 17) [linux-any],
                libfribidi-dev (>= 1.0.0),
                libgbm-dev (>= 17.3) [linux-any],
+               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev (>= 0.9.12),
                libgl1-mesa-dev (>= 7.1~rc3-1~),
                libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
@@ -77,9 +79,11 @@
                xwayland [linux-any],
                zenity
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
+Standards-Version: 4.5.1
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/groovy
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/groovy
 
 Package: mutter
 Architecture: any
@@ -165,7 +169,7 @@
          libdrm-dev,
          libegl1-mesa-dev,
          libgbm-dev,
-         libgdk-pixbuf2.0-dev,
+         libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
          libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
          libglib2.0-dev,
          libgraphene-1.0-dev (>= 1.9.3),
