=== debian/rules ===
--- 
+++ 
@@ -69,6 +69,7 @@
 # Don't run the tests on mips, riscv64 and other ports since they either
 # time out or fail too much, blocking migration to testing or ports
 override_dh_auto_test:
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	glib-compile-schemas $(BUILDDIR)/data
 ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64,$(DEB_HOST_ARCH)))
 	-$(TEST_COMMAND)
@@ -76,6 +77,7 @@
 else ifeq (,$(filter mips mips64el mipsel riscv64 alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
 	$(TEST_COMMAND)
 	-$(TEST_COMMAND_FLAKY)
+endif
 endif
 
 override_dh_girepository:
