## mutter 3.38.4

=== debian/changelog ===
mutter (3.38.4-1ubuntu2) hirsute; urgency=medium

  [ Daniel van Vugt ]
  * Revert "debian/patches: Properly handle configuration events on windows"
    to fix a regression making some windows to move on resize (LP: #1922034).
  * Add 61-mutter.rules-Enable-KMS-modifiers-for-Raspberry-P.patch.
    To enable KMS modifiers on Raspberry Pi, which means to enable the
    first fix in wayland-dma-buf-Add-support-for-DRM_FORMAT_ABGR2101010.patch
    (LP: #1896171)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Backport workspace fixes from upstream gnome-3-38 branch
  * debian/patches: Use Xwayland pkg-config if available
  * debian/patches: Use -listenfd to invoke XWayland if available (LP: #1922539)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Apr 2021 06:28:51 +0200

mutter (3.38.4-1ubuntu1) hirsute; urgency=medium

  * Merge with debian, containing new upstream release.
  * debian/tests: Adapt autopkgtest name and linked library to current soname
  * debian/tests/control: Update references to libmutter-7-dev
  * debian/patches: Remove Input Thread backport patches.
    It has been fun, but we decided to revert this, so here it is.
    (LP: #1918874, LP: #1919310)
  * debian/control: Set breaks on gnome-shell 3.38.4.
    That's the first version on which we'll remove the input thread patches
  * debian/libmutter-7-0.symbols: Revert symbol changes due to input thread
  * debian/patches: Add support for ABFR2101010 in v3d used by Raspberry Pi 4
    (LP: #1896171)
  * debian/patches: Handle NVIDIA's zero presentation times (LP: #1880086)
  * debian/patches: Properly handle configuration events on windows
    (LP: #191793)
  * Remaining changes with debian:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 26 Mar 2021 07:17:54 +0100

mutter (3.38.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix Wayland spec compliance when reordering subsurfaces.
      This is likely to be required by future Firefox versions in native
      Wayland mode.
    - Many other fixes that we already had via debian/patches
  * Drop most patches, included in the new upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Mar 2021 09:52:33 +0000

mutter (3.38.3-5) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Include a missing commit from upstream gnome-3-38
    branch to fix X11 UI stutters

 -- Simon McVittie <smcv@debian.org>  Wed, 10 Mar 2021 09:37:00 +0000

mutter (3.38.3-4) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/patches: cherry-pick more upstream gnome-3-38 fixes
    - Correctly restore focus to applications that use globally active
      input handling, such as AWT/Swing Java apps
    - Disable double buffered shadow buffering, which was intended to
      improve performance with e.g. llvmpipe but currently makes it worse
  * debian/tests: Adapt autopkgtest name and linked library to current soname
  * debian/tests/control: Update references to libmutter-7-dev

  [ Simon McVittie ]
  * d/patches: Update to commit 3.38.3-26-g30c542ddc from gnome-3-38 branch
    - Fix X11 frame timing getting stuck if frames are skipped, resulting
      in X11 applications not always being redrawn when they should be
    - Fix a crash when clicking below titlebar with broken GTK themes

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Mar 2021 20:34:42 +0000

mutter (3.38.3-3ubuntu2) hirsute; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/tests: Adapt autopkgtest name and linked library to current soname
  * d/p/input-thread: Cherry-pick upstream commit to properly handle key modifiers
    (LP: #1917926)
  * d/p/input-thread: Cherry-pick more upstream input-related fixes
  * d/p/input-thread: Ensure we handle device events in X11 (LP: #1917926)
  * d/p/input-thread: Backport various X11 leak fixes
  * d/p/input-thread: Avoid notifying property changes multiple times
    (LP: #1918033)
  * d/patches: Include a missing commit to fix X11 UI stutters

  [ Simon McVittie ]
  * d/patches: Update to commit 3.38.3-26-g30c542ddc

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 10 Mar 2021 04:48:22 +0100

mutter (3.38.3-3ubuntu1) hirsute; urgency=medium

  * debian/patches: Backport wayland input thread support (LP: #1690719)
  * debian/libmutter-7-0.symbols: Sync as per private symbols changes
  * debian/control: Set breaks on previous gnome-shell versions

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Feb 2021 23:17:10 +0100

mutter (3.38.3-3) unstable; urgency=medium

  * Team upload
  * d/patches: Update to commit 3.38.3-20-g2818cfda8 from gnome-3-38 branch
    - Wayland geometry scale fixes
    - Fix a crash that can occur on resume from suspend
    - Fix drag-and-drop from X11 source to Wayland destination

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Feb 2021 09:27:54 +0000

mutter (3.38.3-2ubuntu1) hirsute; urgency=medium

  * Merge with debian, containing new upstream release (LP: #1915025)
    - Disable CRTCs when system becomes headless (LP: #1905825)
    - Fixed crash during windows unmanagement (LP: #1870822)
    - Do not handle ungrabbed events when unmanaging (LP: #1880405)
    - Downgrade assert to warning when adding window (LP: #1911921)
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refreshed
  * debian/rules: Enable remote desktop for all linux builds (LP: #1730612)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 09 Feb 2021 04:59:11 +0100

mutter (3.38.3-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update to commit 3.38.3-12-g2d424a739 from gnome-3-38 branch
    - Cope with monitors with metacharacters in their EDID data
    - Don't crash if parsing monitor configuration fails

