=== debian/control ===
--- 
+++ 
@@ -82,8 +82,8 @@
 Standards-Version: 4.5.1
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/groovy
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/groovy
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/master
 
 Package: mutter
 Architecture: any
@@ -144,7 +144,7 @@
 Breaks: apparmor (<< 2.13.3-5~),
         gnome-control-center (<< 1:3.25.2),
         gnome-settings-daemon (<< 3.31.91),
-        gnome-shell (<< 3.36)
+        gnome-shell (<< 3.38.4)
 Description: window manager library from the Mutter window manager
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
