## mutter 3.38.6

=== debian/changelog ===
mutter (3.38.6-2~deb11u2) bullseye; urgency=medium

  * d/patches: Update to commit 3.38.6-9-g0b26ad635 from gnome-3-38 branch
    (Closes: #1002651)
    - d/p/wayland-subsurface-Check-for-parent-actor-before-unparent.patch,
      d/p/wayland-subsurface-Handle-node-unlinking-on-parent-destro.patch,
      d/p/window-actor-wayland-Remove-subsurface-actors-on-dispose.patch:
      Fix a crash involving Wayland subsurfaces, which can be triggered by
      Firefox in Wayland mode (fix backported from 41~beta and 40.5)
    - d/p/wayland-data-offer-Accept-final-preferrence-of-drop-desti.patch:
      Fix protocol error during Alt + drag-and-drop from Firefox in
      Wayland mode, which would result in Firefox being terminated
      (fix backported from 41.1 and 40.6)
    - d/p/surface-actor-Fix-unobscurred_fraction-calculation.patch:
      When an app/game using VSync is full-screen in a multi-monitor setup,
      use the refresh rate of the correct monitor (LP: #1788535)
      (fix backported from 41.3)
    - d/p/xwayland-Fix-condition-for-queuing-a-window-to-META_QUEUE.patch:
      Avoid flooding Xwayland clients (X11 apps under Wayland) with window
      management events, which can cause performance problems
      (fix backported from 41.1 and 40.6)
    - d/p/wayland-surface-Switch-order-for-calculating-surface-dama.patch,
      d/p/wayland-surface-Use-correct-default-viewport-for-surface-.patch,
      d/p/wayland-surface-Do-not-uncoditionally-process-surface-dam.patch:
      Fix visible glitches for Wayland clients that use the wp_viewporter
      protocol in combination with wl_surface_damage(), such as the
      GStreamer waylandsink element (fix backported from 41.3)

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Jan 2022 16:58:45 +0000

mutter (3.38.6-2~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Sep 2021 21:25:34 +0100

mutter (3.38.6-2) unstable; urgency=medium

  * Team upload
  * d/p/monitor-manager-Don-t-include-generated-code-in-header-fi.patch:
    Add patch from upstream 40.1 to fix FTBFS seen on s390x.
    Thanks to Adrian Bunk.

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Aug 2021 16:12:19 +0100

mutter (3.38.6-1) unstable; urgency=medium

  [ Marco Trevisan ]
  * d/gbp.conf, d/control.in: Update VCS details for debian/unstable branch

  [ Simon McVittie ]
  * New upstream release
    - xwayland: Check permissions on /tmp/.X11-unix
    - Ensure valid window texture size after viewport changes
    - kms: Improve handling of common video modes that might exceed the
      possible bandwidth
    - Fix damage propagation for rotated transforms with viewport
    - Improve Wayland subsurface reordering
  * Update GLib build-dependency (no practical effect, the new dependency
    is already in bullseye)

  [ Laurent Bigonville ]
  * Fixes for non-Linux ports:
    - Build-depend on libegl1-mesa-dev on all architectures (not just Linux).
      It is required for EGL support.
    - Only build-depend on udev on Linux architectures
    - Only depend on libwayland on Linux architectures
    - Drop unnecessary -dev dependency on libudev-dev

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Aug 2021 08:54:46 +0100
