=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -26,14 +25,14 @@
                libcanberra-gtk3-dev,
                libdrm-dev (>= 2.4.83) [linux-any],
                libegl-dev,
-               libegl1-mesa-dev (>= 17) [linux-any],
+               libegl1-mesa-dev (>= 17),
                libfribidi-dev (>= 1.0.0),
                libgbm-dev (>= 17.3) [linux-any],
                libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev (>= 0.9.12),
                libgl1-mesa-dev (>= 7.1~rc3-1~),
                libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
-               libglib2.0-dev (>= 2.61.1),
+               libglib2.0-dev (>= 2.64.0),
                libgnome-desktop-3-dev (>= 3.36.0),
                libgraphene-1.0-dev (>= 1.9.3),
                libgtk-3-dev (>= 3.19.8),
@@ -70,7 +69,7 @@
                libxt-dev,
                meson (>= 0.51),
                pkg-config (>= 0.22),
-               udev,
+               udev [linux-any],
                wayland-protocols (>= 1.19) [linux-any],
                xauth <!nocheck>,
                xkb-data,
@@ -80,10 +79,8 @@
                zenity
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/bullseye
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/debian/bullseye
 
 Package: mutter
 Architecture: any
@@ -144,7 +141,7 @@
 Breaks: apparmor (<< 2.13.3-5~),
         gnome-control-center (<< 1:3.25.2),
         gnome-settings-daemon (<< 3.31.91),
-        gnome-shell (<< 3.38.4)
+        gnome-shell (<< 3.36)
 Description: window manager library from the Mutter window manager
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
@@ -178,8 +175,7 @@
          libjson-glib-dev,
          libmutter-7-0 (= ${binary:Version}),
          libpango1.0-dev,
-         libudev-dev,
-         libwayland-dev,
+         libwayland-dev [linux-any],
          libx11-dev,
          libxcomposite-dev,
          libxdamage-dev,
